- Home
- API Enriched
- Data Intelligence
- data-intelligence
- List FlowLabels.
List FlowLabels.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/di/flowlabels';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/di/flowlabels \ --header 'Authorization: <Authorization>'ListFlowLabels takes a customer name and returns a list of FlowLabel objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace in which the suggestions are scoped.
Responses
Section titled “Responses”A successful response.
Response object to list flow labels.
object
Flow labels.
Message representing flow label information.
object
FlowLabel for filtering the data.
Platform for filtering the data.
Examplegenerated
{ "flowLabels": [ { "flowLabel": "example", "platform": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example